return Def.ActorFrame {
	LoadFont("_celestia 34px") .. {
		Text="BPM";
		InitCommand=cmd(horizalign,right;zoom,0.6;strokecolor,Color("Outline"));
		SetCommand=function(self)
			local bIsFirst = false;
			local song = GAMESTATE:GetCurrentSong();
			self:stoptweening();
-- 			self:linear(0.25);
			if song then
				self:diffusebottomedge( song:GetTimingData():HasStops() and Color("Purple") or Color("White") );
			else
				self:diffusebottomedge( Color("White") );
			end;
		end;
		CurrentSongChangedMessageCommand=cmd(playcommand,"Set");
		CurrentCourseChangedMessageCommand=cmd(playcommand,"Set");
	};
};